List assets
curl --request GET \
--url https://api.argil.ai/v1/assets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/assets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "AUDIO",
"status": "PROCESSING",
"fileUrl": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]{
"code": 123,
"message": "<string>"
}Assets
List Assets
Get a list of assets from your library
GET
/
assets
List assets
Returns an array of assets from your library. Supports filtering by type and status, with pagination via query parameters.
Pagination metadata is returned in response headers:
| Header | Description |
|---|---|
X-Total-Count | Total number of assets matching the filters |
X-Page | Current page number |
X-Page-Size | Number of items per page |
X-Total-Pages | Total number of pages |
Asset Types
| Type | Description |
|---|---|
AUDIO | Audio files for background music (system library) |
IMAGE | Uploaded images for use as B-roll |
VIDEO | Uploaded videos for use as B-roll |
Examples
# All assets (default: READY status)
GET /assets
# Only video assets
GET /assets?type=VIDEO
# Images and videos, page 2
GET /assets?type=IMAGE&type=VIDEO&page=2&pageSize=10
Authorizations
API key to be included in the x-api-key header
Query Parameters
Filter by asset type. Can be specified multiple times (e.g. ?type=VIDEO&type=IMAGE). Omit to return all types.
Available options:
AUDIO, IMAGE, VIDEO Filter by processing status. Default: READY.
Available options:
PROCESSING, READY, FAILED Page number
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
An array of assets. Pagination metadata is in response headers.
Available options:
AUDIO, IMAGE, VIDEO Processing status. Poll until READY before using as B-roll.
Available options:
PROCESSING, READY, FAILED URL to access the asset. Null while processing.
URL to a thumbnail image. Null while processing.
Was this page helpful?
